package cn.mrdear.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @Author: zxy
 * @Date: create in 2025/4/10 9:42
 */
public class DateUtil {
    public static final String YEAR_PATTERN = "yyyy";
    public final static String DATE_PATTERN = "yyyy-MM-dd";
    /** 时间格式(yyyy-MM-dd HH:mm:ss) */
    public final static String DATE_TIME_PATTERN = "yyyy-MM-dd HH:mm:ss";

    public static Date string2Date(String strDate) {
        return toDate(strDate,DATE_PATTERN);
    }

    public static  Date string2Time(String strDate) {
        return toDate(strDate,DATE_TIME_PATTERN);
    }
    public static  Date toDate(String strDate, String PATTERN) {
        SimpleDateFormat sdf = new SimpleDateFormat(PATTERN);
        try {
            return sdf.parse(strDate);
        } catch (ParseException e) {
            e.printStackTrace(); // 在实际应用中，可能会选择记录日志而不是打印堆栈跟踪
            return null; // 或根据你的错误处理策略，可能会抛出一个自定义异常
        }
    }
    public static String yearFormat(Date date) {return format(date,YEAR_PATTERN);}

    public static String dateFormat(Date date) {
        return format(date,DATE_PATTERN);
    }

    public static String timeFormat(Date date) {
        return format(date,DATE_TIME_PATTERN);
    }

    public static String format(Date date, String pattern) {
        if(date != null){
            SimpleDateFormat df = new SimpleDateFormat(pattern);
            return df.format(date);
        }
        return null;
    }
}
